<?php

namespace app\admin\model;

use think\Model;


class Userfollow extends Model
{

    

    

    // 表名
    protected $name = 'user_follow';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [

    ];
    

    







    public function user()
    {
        return $this->belongsTo('User', 'uid', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function followuser()
    {
        return $this->belongsTo('User', 'follow_uid', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
